org.optaplanner.core.impl.score.stream.drools.uni

## Class DroolsGroupingUniConstraintStream<Solution_,NewA>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.drools.uni.DroolsAbstractUniConstraintStream<Solution_,NewA>
      - - org.optaplanner.core.impl.score.stream.drools.uni.DroolsGroupingUniConstraintStream<Solution_,NewA>

- All Implemented Interfaces:
    ConstraintStream, UniConstraintStream<NewA>, InnerUniConstraintStream<NewA>

      public final class DroolsGroupingUniConstraintStream<Solution_,NewA>
      extends DroolsAbstractUniConstraintStream<Solution_,NewA>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractBiConstraintStream<Solution_,A,B> parent, BiConstraintCollector<A,B,ResultContainer_,NewA> collector)`
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractBiConstraintStream<Solution_,A,B> parent, BiFunction<A,B,NewA> groupKeyMapping)`
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D> parent, QuadConstraintCollector<A,B,C,D,ResultContainer_,NewA> collector)`
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D> parent, QuadFunction<A,B,C,D,NewA> groupKeyMapping)`
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractTriConstraintStream<Solution_,A,B,C> parent, TriConstraintCollector<A,B,C,ResultContainer_,NewA> collector)`
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractTriConstraintStream<Solution_,A,B,C> parent, TriFunction<A,B,C,NewA> groupKeyMapping)`
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractUniConstraintStream<Solution_,A> parent, Function<A,NewA> groupKeyMapping)`
    `DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractUniConstraintStream<Solution_,A> parent, UniConstraintCollector<A,ResultContainer_,NewA> collector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DroolsUniCondition<NewA,?>` | `getCondition()`
    `List<DroolsFromUniConstraintStream<Solution_,Object>>` | `getFromStreamList()`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.uni.DroolsAbstractUniConstraintStream

      `filter, groupBy, groupBy, groupBy, groupBy, groupBy, groupBy, ifExists, ifNotExists, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong, join`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `addChildStream, buildConstraint, buildConstraintConfigurable, createRuleItemBuilders, getChildStreams, getConstraintFactory, getExpectedJustificationTypes`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, impact, penalize, penalizeConfigurable, reward, rewardConfigurable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.uni.InnerUniConstraintStream

      `impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.uni.UniConstraintStream

      `ifExists, ifExists, ifExists, ifExists, ifExistsOther, ifExistsOther, ifExistsOther, ifExistsOther, ifExistsOther, ifExistsOther, ifNotExists, ifNotExists, ifNotExists, ifNotExists, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, join, join, join, join, join, join, join, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, impact, impact, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

- - ### Constructor Detail

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractUniConstraintStream<Solution_,A> parent,
                                                   Function<A,NewA> groupKeyMapping)

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractUniConstraintStream<Solution_,A> parent,
                                                   UniConstraintCollector<A,ResultContainer_,NewA> collector)

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractBiConstraintStream<Solution_,A,B> parent,
                                                   BiFunction<A,B,NewA> groupKeyMapping)

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractBiConstraintStream<Solution_,A,B> parent,
                                                   BiConstraintCollector<A,B,ResultContainer_,NewA> collector)

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractTriConstraintStream<Solution_,A,B,C> parent,
                                                   TriConstraintCollector<A,B,C,ResultContainer_,NewA> collector)

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractTriConstraintStream<Solution_,A,B,C> parent,
                                                   TriFunction<A,B,C,NewA> groupKeyMapping)

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D> parent,
                                                   QuadConstraintCollector<A,B,C,D,ResultContainer_,NewA> collector)

    - #### DroolsGroupingUniConstraintStream

          public DroolsGroupingUniConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                   DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D> parent,
                                                   QuadFunction<A,B,C,D,NewA> groupKeyMapping)

  - ### Method Detail

    - #### getFromStreamList

          public List<DroolsFromUniConstraintStream<Solution_,Object>> getFromStreamList()

      Specified by:
        `getFromStreamList` in class `DroolsAbstractConstraintStream<Solution_>`

    - #### getCondition

          public DroolsUniCondition<NewA,?> getCondition()

      Specified by:
        `getCondition` in class `DroolsAbstractUniConstraintStream<Solution_,NewA>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.